# xgrid

add a grid on a 2D or 3D plot

## Calling Sequence

    xgrid([color] [, thickness] [, style])

## Arguments

color

  an integer or a row matrix.

thickness

  a real or a row matrix.

style

  an integer or a row matrix.

## Description

`xgrid` adds a grid on a 2D or 3D plot. d for each axis).

`color` is the colors id to use for the grid plotting (if `color` is a scalar then the same color is used for each axis).

`thickness` is the thickness to use for the grid plotting (if `thickness` is a scalar then the same thickness is used for each axis).

`style` is the style to use for the grid plotting (if `style` is a scalar then the same style is used for each axis). Available styles are the same as for `line_style` property (see axes_properties).

## Examples

    x=[0:0.1:2*%pi]';
    plot2d(sin(x))
    xgrid(5, 1, 7)

x=[0:0.1:2*%pi]'; plot2d(sin(x)) xgrid(5, 1, 7)

## See Also

- axes_properties
- plot2d

## History

5.5.0
Arguments `thickness` and `style` introduced.